Bug 426747 - Info Center lost its button to report bugs
Summary: Info Center lost its button to report bugs
Status: RESOLVED FIXED
Alias: None
Product: kinfocenter
Classification: Unclassified
Component: general (show other bugs)
Version: 5.19.90
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2020-09-19 20:03 UTC by Alexander Potashev
Modified: 2020-09-24 18:26 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.20


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Potashev 2020-09-19 20:03:03 UTC
SUMMARY
Info Center has no button to report bugs.

Previous versions (e.g. 5.18.5) had a full Help menu.

STEPS TO REPRODUCE
1. 
2. 
3. 

OBSERVED RESULT


EXPECTED RESULT


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: Archlinux
(available in About System)
KDE Plasma Version: 5.19.90
KDE Frameworks Version: 5.74.0
Qt Version: 5.15.1

ADDITIONAL INFORMATION
Comment 1 Nate Graham 2020-09-23 17:02:40 UTC
We could add an action to the hamburger menu.
Comment 2 David Edmundson 2020-09-24 10:34:27 UTC
Reason this happens - kinfocenter moved it's code base into being "systemsettings" but loading different modules.

Someone needs to find the relevant original code from kinfocenter, and copy/paste that into kinfocenter.
Comment 3 Bug Janitor Service 2020-09-24 15:54:41 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/systemsettings/-/merge_requests/17
Comment 4 David Redondo 2020-09-24 17:40:27 UTC
Git commit bfc56dcf190c40f9dda0baa3a3e02700ae3966d6 by David Redondo.
Committed on 24/09/2020 at 17:40.
Pushed by davidre into branch 'master'.

Show  bug report action in sidebar menu

It is already shown in other modes.

M  +1    -1    sidebar/SidebarMode.cpp

https://invent.kde.org/plasma/systemsettings/commit/bfc56dcf190c40f9dda0baa3a3e02700ae3966d6
Comment 5 Nate Graham 2020-09-24 18:26:03 UTC
Git commit 5b4df5156370feed1563e7b937d405f06d4e98ec by Nate Graham, on behalf of David Redondo.
Committed on 24/09/2020 at 18:25.
Pushed by ngraham into branch 'Plasma/5.20'.

Show  bug report action in sidebar menu

It is already shown in other modes.


(cherry picked from commit bfc56dcf190c40f9dda0baa3a3e02700ae3966d6)

M  +1    -1    sidebar/SidebarMode.cpp

https://invent.kde.org/plasma/systemsettings/commit/5b4df5156370feed1563e7b937d405f06d4e98ec